<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Uses of Class nl.naturalis.nba.api.QueryResult</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class nl.naturalis.nba.api.QueryResult";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../QueryResult.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class nl.naturalis.nba.api.QueryResult" class="title">Uses of Class<br>nl.naturalis.nba.api.QueryResult</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api">nl.naturalis.nba.api</a></th>
<td class="colLast">
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="nl.naturalis.nba.api">
<!--   -->
</a>
<h3>Uses of <a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a> in <a href="../package-summary.html">nl.naturalis.nba.api</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a> in <a href="../package-summary.html">nl.naturalis.nba.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../BatchQueryResult.html" title="class in nl.naturalis.nba.api">BatchQueryResult</a>&lt;T&gt;</span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../GroupByScientificNameQueryResult.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQueryResult</a></span></code></th>
<td class="colLast">
<div class="block">A extension of <a href="../QueryResult.html" title="class in nl.naturalis.nba.api"><code>QueryResult</code></a> capturing the result of a call to
 <a href="../ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a> or
 <a href="../ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> that return <a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static &lt;U&gt;&nbsp;<a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;U&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryResult.</span><code><span class="memberNameLink"><a href="../QueryResult.html#emptyResultSet()">emptyResultSet</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="../INbaAccess.html" title="type parameter in INbaAccess">DOCUMENT_OBJECT</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaAccess.</span><code><span class="memberNameLink"><a href="../INbaAccess.html#query(nl.naturalis.nba.api.QuerySpec)">query</a></span>&#8203;(<a href="../QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">
 Returns documents satisfying the provided query.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="../model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IMultiMediaObjectAccess.</span><code><span class="memberNameLink"><a href="../IMultiMediaObjectAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">queryWithNameResolution</a></span>&#8203;(<a href="../NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">Searches for multimedia while providing extra options to resolve a search phrase to a scientific name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="../model/Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ISpecimenAccess.</span><code><span class="memberNameLink"><a href="../ISpecimenAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)">queryWithNameResolution</a></span>&#8203;(<a href="../NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a>&nbsp;querySpec)</code></th>
<td class="colLast">
<div class="block">Searches for specimens while providing extra options to resolve a search phrase to a scientific name.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../BatchQueryResult.html#%3Cinit%3E(nl.naturalis.nba.api.QueryResult)">BatchQueryResult</a></span>&#8203;(<a href="../QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="../BatchQueryResult.html" title="type parameter in BatchQueryResult">T</a>&gt;&nbsp;other)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../QueryResult.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
